pw_client_events Struct Reference

The events that a client can emit. More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| emited when the client is destroyed More...
void(* | free )(void *data)
| emited right before the client is freed More...
void(* | info_changed )(void *data, struct pw_client_info *info)
| emited when the client info changed More...
void(* | resource_added )(void *data, struct pw_resource *resource)
| emited when a new resource is added for client More...
void(* | resource_impl )(void *data, struct pw_resource *resource)
| emited when an implementation is set on a resource. More...
void(* | resource_removed )(void *data, struct pw_resource *resource)
| emited when a resource is removed More...
void(* | busy_changed )(void *data, bool busy)
| emited when the client becomes busy processing an asynchronous message. More...

## Detailed Description

The events that a client can emit.

## Field Documentation

## busy_changed

void(* pw_client_events::busy_changed) (void *data, bool busy)

emited when the client becomes busy processing an asynchronous message.

In the busy state no messages should be processed. Processing should resume when the client becomes not busy

## destroy

void(* pw_client_events::destroy) (void *data)

emited when the client is destroyed

## free

void(* pw_client_events::free) (void *data)

emited right before the client is freed

## info_changed

void(* pw_client_events::info_changed) (void *data, struct pw_client_info *info)

emited when the client info changed

## resource_added

void(* pw_client_events::resource_added) (void *data, struct pw_resource *resource)

emited when a new resource is added for client

## resource_impl

void(* pw_client_events::resource_impl) (void *data, struct pw_resource *resource)

emited when an implementation is set on a resource.

This can be used to override the implementation

## resource_removed

void(* pw_client_events::resource_removed) (void *data, struct pw_resource *resource)

emited when a resource is removed

## version

uint32_t pw_client_events::version

The documentation for this struct was generated from the following file:

- client.h